<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

<html lang="de">

  <head>
    <title>FreeDoko Dateien</title>

    <meta name="author" content="Diether Knof">
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <link rel="shortcut icon" href="images/FreeDoko.icon.png">
    <link rel="stylesheet" type="text/css" title="Menü" href="FreeDoko.css">

    <link rel="alternate" href="http://free-doko.sourceforge.net/de/Dateien.html" title="offizielle Seite">

  </head>

  <body>

    <div id="navigation">
      <ul>
	<li><a href="FreeDoko.html"><img src="images/FreeDoko.icon.png" alt="*"> FreeDoko</a></li>
	<li><span><img src="images/icons/SuitClubs.svg" alt="♣"> Download</span></li>
	<li style="min-width: 11em;"><a href="Dokumentation.html"><img src="images/icons/SuitSpades.svg" alt="♠"> Dokumentation</a></li>
	<li><a href="Galerie.html"><img src="images/icons/SuitHearts.svg" alt="♥"> Galerie</a></li>
	<li><a href="Impressum.html"><img src="images/icons/SuitDiamonds.svg" alt="♦"> Impressum</a></li>
      </ul>
    </div> <!-- id="navigation" -->


    <div id="column_left"></div>
    <div id="column_right"></div>

    <div id="content">

      <h1>Download</h1>

      <h2>Lizenz</h2>
      <p>
      Das Programm FreeDoko steht unter der <a href="GPL-3.0.txt">GNU General Public License Version 3</a> oder später.
      </p>
      <p id="InnoCard">
      Verwendung der Spielkartenbilder „InnoCard“ bis Ende 2022 mit Genehmigung der InnoCard International GmbH.
      </p>
      <div style="text-align: center;">
	<table style="margin-left: auto; margin-right: auto;" summary="Adresse: InnoCard International GmbH">
	  <tr>
	    <td valign="middle">
	      <a href="http://www.innocard.de"><img src="http://www.innocard.de/tl_files/website/innocard_index.gif" alt="Logo InnoCard" width="138" height="130"></a>
	    </td>
	    <td valign="middle" style="padding: 0 2em;">
	      <strong>InnoCard International GmbH</strong><br>
	      Bedburger Weide 19<br>
	      47551 Bedburg-Hau<br>
	      E-Mail: <a href="mailto:info@innocard.de">info@innocard.de</a><br>
	      Internet: <a href="http://www.innocard.de/">http://www.innocard.de</a>
	    </td>
	  </tr>
	</table>
      </div>


      <h2>Pakete </h2>

      <h3>Microsoft Windows</h3>
      <ul>
	<li><a href="http://prdownloads.sourceforge.net/free-doko/FreeDoko_0.7.25.Setup.exe">Setup</a> (ca. 31 MB)<br>MD5: ed47fd43fd2479a5b4b7a4fb068cefa5<br>SHA256: abc5001221bd8ce44deea1e4a210a99d7e9cbe9ece2c1cdf8596e8cbc656792a</li>
	<li><a href="http://prdownloads.sourceforge.net/free-doko/FreeDoko_0.7.25.Windows.zip">Programmpaket</a> (ca. 38 MB)<br>MD5: e29053e31c0880573abbf18e41a15d2e<br>SHA256: 1bc12d7438c9807890d49a618e3d6ec09cf9e5af7f2a94e2644c4a7386e605c4</li>

      </ul>

      <h3>GNU/Linux</h3>
      <p>
      FreeDoko benötigt die folgenden Bibliotheken: <a href="https://www.gtkmm.org/">gtkmm</a> (Version 3) und <a href="http://www.openal.org/">alut</a>. 
      </p>
      <ul>
	<li><a href="http://prdownloads.sourceforge.net/free-doko/FreeDoko_0.7.25.Linux.zip">Programmpaket</a> (64 bit, ca. 27 MB)<br>MD5: d2a8cfd714812784811741e13700c2e9<br>SHA256: e9d418fd56e98a3eecad509a02f3b04bc4904140245596dea301e759fc898549</li>
      </ul>

      <h4>Einzelne Distributionen</h4>
      <ul>
	<li><a href="https://aur.archlinux.org/packages/freedoko/">arch linux</a></li>
	<li><a href="https://build.opensuse.org/package/show/home:mjst/FreeDoko">SuSE</a></li>
	<li><a href="https://packages.gentoo.org/packages/games-board/freedoko">gentoo</a></li>
	<li>ubuntu<br>
	  Eine Beschreibung zur Installation befindet sich unter <a href="http://wiki.ubuntuusers.de/Spiele/FreeDoko">http://wiki.ubuntuusers.de/Spiele/FreeDoko</a>.
	</li>
      </ul>

      <h3>Mac OS X</h3>

      Eine Beschreibung für das Kompilieren unter MacOS Catalina befindet sich im <a href="https://sourceforge.net/p/free-doko/discussion/118377/thread/d4837eb962/">Diskussionsforum</a>.


      <h2>Quelltext</h2>

      <ul>
	<li>
	  <a href="http://prdownloads.sourceforge.net/free-doko/FreeDoko_0.7.25.src.zip">Quelltext</a> (ca. 24 MB)<br>MD5: e4d82904cc62e3311ae24e644f15397c<br>SHA256: 4a65fdadda2a650e83b24bcdd09af9493871a7811e97bf411690bf4b9e3867a3
	</li>
	<li>
	  <a href="https://gitlab.com/dknof/FreeDoko">git repository</a>:
	  <kbd>git clone https://gitlab.com/dknof/FreeDoko.git
	  </kbd>
	  <li>Compiler
	    <ul>
	      <li>Windows: <a href="http://www.mingw.org">http://www.mingw.org</a></li>
	      <li>GNU/Linux: <a href="http://www.gnu.org/software/gcc/gcc.html">http://www.gnu.org/software/gcc/gcc.html</a></li>
	    </ul>
	  </li>
	  <li>Bibliotheken
	    <ul>
	      <li>Gtkmm Quellcode: <a href="http://www.gtkmm.org">http://www.gtkmm.org</a>, Version 3.x</li>
	      <li>alut: siehe <a href="http://openal.org/">http://openal.org/</a></li>
	    </ul>
	  </li>
      </ul>


      <h2>Letzte Versionen</h2>
      <h3>0.7.25 (22. Januar 2022)</h3>
      <ul>
	<li>Verschiedene Fehler bei den Turnierpunkten korrigiert, unter anderem die Summierung</li>
	<li>Ermittlung des Gewinnerteams bei An- und Absagen korrigiert</li>
      </ul>

      <h3>0.7.24 (30. Dezember 2021)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde bis Ende 2022 verlängert.</li>
	<li>Optionen können in der Datei „options“ angegeben werden. Damit lässt sich verhindern, dass FreeDoko Dateien außerhalb vom Programmverzeichnis ablegt.</li>
	<li>Einstellungen umstrukturiert und Icons ergänzt</li>
	<li>Neuer Symbole mit Schachfiguren</li>
	<li>Die Wiederholung eines Spiels kann optional mit gleicher Kartenverteilung für alle Spieler durchgeführt werden (in den Einstellungen Rubrik „Kartenverteilung“).</li>
	<li>Neue Einstellung „Mischen ohne Startwert“. Die ist für Personen, die der Meinung sind, dass von FreeDoko verwendete Zufallsgenerator schlecht ist. Damit werden die Karten mit dem Standardzufallsgenerator von C++ vorgemischt.</li>
	<li>Standardmäßig werden die offiziellen Kartengrenzen für die Ansagen verwendet. Individuelle Angaben müssen explizit aktiviert werden.</li>
	<li>Regeln entfernt: „Genscher“, „Gegenansage“ und „strikte Grenzen“</li>
      </ul>

      <h3>0.7.23c (24. Januar 2021)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde bis Ende 2021 verlängert.</li>
      </ul>

      <h3>0.7.23b (2. Januar 2021)</h3>
      <ul>
	<li>Fehlerkorrektur: Der Spieler erhält nun wieder Kreuz-Damen zugeteilt.</li>
      </ul>

      <h3>0.7.23 (31. Dezember 2020)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde nicht verlängert, daher haben wir den Kartensatz entfernt</li>
	<li>In den Regeln können Anforderungen für die Kartenverteilung gesetzt werden. Damit lässt sich zum Beispiel einstellen, dass man immer mindestens 6 Trümpfe und 2 Farb-Asse erhält.</li>
	<li>Wird ein Spiel wiederholt bleiben nur die eigenen Karten gleich, die KI-Spieler erhalten neue Karten</li>
	<li>Bei den Spielern kann in der KI-Konfiguration eine Beschränkung für die Überlegungszeit angegeben werden. </li>
	<li>Viele Regeln können auch im laufenden Spiel geändert werden.</li>
	<li>Weitere Arbeiten an der KI</li>
      </ul>

      <h3>0.7.22 (19. April 2020)</h3>
      <ul>
	<li>Die Lizenz ist auf Version 3 der GPL modernisiert</li>
	<li>Heuristiken verbessert und erweitert (insbesondere für Fleischlos)</li>
	<li>Virtuelle Spiele durch Heuristiken abgelöst, außer für das Endspiel</li>
	<li>Endspiel überarbeitet</li>
	<li>Parallele Berechnungen für das Endspiel</li>
      </ul>

      <h3>0.7.21 (24. November 2019)</h3>
      <ul>
	<li>Die Windows-Version ist auf 64 Bit umgestellt. Außerdem wird <a href="http://www.jrsoftware.org/isinfo.php">InnoSetup</a> als Installer verwendet.</li>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde bis Ende 2020 verlängert.</li>
	<li>Konfigurationsdateien (Regeln, Spieler, Turnier) zusammengefasst.</li>
	<li>Abgewiesene Heuristiken werden in der Debug-Ausgabe mit aufgeführt.</li>
	<li>Standardregeln sind die offiziellen Turnierregeln</li>
	<li>Bock-Multiplizierer auf 1024 beschränkt</li>
	<li>Linux: die Gruppe games wird nicht mehr verwendet</li>
	<li>Weiter Überarbeitung der Ausspiel-Heuristiken.</li>
	<li>Teilweise Überarbeitung der Ansage-Heuristiken.</li>
      </ul>


      <h3>0.7.20 (5. April 2019)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde bis Ende 2019 verlängert</li>
	<li>Wenn die Solitärsammlung PysolFC installiert ist stehen dessen Kartensätze direkt Auswahl.</li>
	<li>Die Symbole werden nun vollständig direkt aus dem Kartensatz erzeugt. Damit reicht es für einen eigenen Kartensatz, die Karten und eine Kartenrückseite zur Verfügung zu stellen.</li>
	<li>Weitere Überarbeitung der Heuristiken.</li>
	<li>Zum Kompilieren ist nun C++17 erforderlich.</li>
      </ul>


      <h3>0.7.19 (31. Dezember 2018)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde nicht verlängert, daher haben wir den Kartensatz entfernt</li>
	<li>Neuer Kartensatz VectorPlayingCards</li>
	<li>Die Karten können manuell verteilt werden</li>
	<li>Entscheidungslogik für Solospiele überarbeitet</li>
	<li>Heuristiken für Bildsoli überarbeitet</li>
	<li>Grafiken können über die Bilder ausgewählt werden</li>
	<li>Überarbeitung der Internetpräsenz</li>
      </ul>

      <h3>0.7.18 (13. Juli 2018)</h3>
      <ul>
	<li>Fehler im Zufallsgenerator für Windows korrigiert</li>
	<li>Neue Heuristiken und einige Änderungen an der KI-Konfiguration</li>
	<li>Begründungen für Heuristiken teilweise erstellt</li>
	<li>Spieldebug-Fenster freigeschaltet</li>
      </ul>

      <h3>0.7.17 (4. Januar 2018)</h3>
      <ul>
	<li>Die Lizenz vom InnoCard-Kartensatz wurde bis Ende 2018 verlängert</li>
	<li>Breitbild-Layout</li>
	<li>Neuer Zufallszahlengenerator</li>
	<li>Spiel wiederholen</li>
	<li>Spiel explizit neu geben (aus dem Vorbehalt)</li>
	<li>Weitere Modernisierung/Überarbeitung vom Code</li>
	<li>Versionsverwaltung auf git gewechselt, Repository ist https://gitlab.com/dknof/FreeDoko</li>
	<li>Übersetzungssystem auf gettext umgestellt</li>
	<li>Netzwerkunterstützung abgestellt</li>
      </ul>

      <p id="sourceforge">
      Diese Seite wird verwaltet von <a href="https://sourceforge.net"><img src="http://sourceforge.net/sflogo.php?group_id=38051" width="88" height="31" alt="SourceForge"></a>
      </p>

    </div> <!-- id="content" -->

  </body>
</html>
